# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ProjectIdPipelinecomponentsBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'name': 'str',
        'git_branch': 'str',
        'git_url': 'str',
        'repository_name': 'str',
        'broker': 'str'
    }

    attribute_map = {
        'name': 'name',
        'git_branch': 'git_branch',
        'git_url': 'git_url',
        'repository_name': 'repositoryName',
        'broker': 'broker'
    }

    def __init__(self, name=None, git_branch=None, git_url=None, repository_name=None, broker=None):  # noqa: E501
        """ProjectIdPipelinecomponentsBody - a model defined in Swagger"""  # noqa: E501
        self._name = None
        self._git_branch = None
        self._git_url = None
        self._repository_name = None
        self._broker = None
        self.discriminator = None
        if name is not None:
            self.name = name
        if git_branch is not None:
            self.git_branch = git_branch
        if git_url is not None:
            self.git_url = git_url
        if repository_name is not None:
            self.repository_name = repository_name
        if broker is not None:
            self.broker = broker

    @property
    def name(self):
        """Gets the name of this ProjectIdPipelinecomponentsBody.  # noqa: E501


        :return: The name of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :rtype: str
        """
        return self._name

    @name.setter
    def name(self, name):
        """Sets the name of this ProjectIdPipelinecomponentsBody.


        :param name: The name of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :type: str
        """

        self._name = name

    @property
    def git_branch(self):
        """Gets the git_branch of this ProjectIdPipelinecomponentsBody.  # noqa: E501


        :return: The git_branch of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :rtype: str
        """
        return self._git_branch

    @git_branch.setter
    def git_branch(self, git_branch):
        """Sets the git_branch of this ProjectIdPipelinecomponentsBody.


        :param git_branch: The git_branch of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :type: str
        """

        self._git_branch = git_branch

    @property
    def git_url(self):
        """Gets the git_url of this ProjectIdPipelinecomponentsBody.  # noqa: E501


        :return: The git_url of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :rtype: str
        """
        return self._git_url

    @git_url.setter
    def git_url(self, git_url):
        """Sets the git_url of this ProjectIdPipelinecomponentsBody.


        :param git_url: The git_url of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :type: str
        """

        self._git_url = git_url

    @property
    def repository_name(self):
        """Gets the repository_name of this ProjectIdPipelinecomponentsBody.  # noqa: E501


        :return: The repository_name of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :rtype: str
        """
        return self._repository_name

    @repository_name.setter
    def repository_name(self, repository_name):
        """Sets the repository_name of this ProjectIdPipelinecomponentsBody.


        :param repository_name: The repository_name of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :type: str
        """

        self._repository_name = repository_name

    @property
    def broker(self):
        """Gets the broker of this ProjectIdPipelinecomponentsBody.  # noqa: E501


        :return: The broker of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :rtype: str
        """
        return self._broker

    @broker.setter
    def broker(self, broker):
        """Sets the broker of this ProjectIdPipelinecomponentsBody.


        :param broker: The broker of this ProjectIdPipelinecomponentsBody.  # noqa: E501
        :type: str
        """
        allowed_values = ["gitlab", "github"]  # noqa: E501
        if broker not in allowed_values:
            raise ValueError(
                "Invalid value for `broker` ({0}), must be one of {1}"  # noqa: E501
                .format(broker, allowed_values)
            )

        self._broker = broker

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ProjectIdPipelinecomponentsBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ProjectIdPipelinecomponentsBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
